Subject: bug#58418: 29.0.50; Fix typo in treesit--check-manual-covarage

From: Theodor Thornhill <[email-masked]>
Date: Mon, 10 Oct 2022 20:23:35 +0200

Hi!

This is just a small patch fixing some typos in a helper function.

The patch should be simple enough, but I thought I'd just add it as I've
seen that typo lingering for some time :)

Thanks,

Theo

>From 7391226f1ee06264fac8b7b2494c4d6f55a34368 Mon Sep 17 00:00:00 2001
From: Theodor Thornhill <[email-masked]>
Date: Mon, 10 Oct 2022 20:20:19 +0200
Subject: [PATCH] Fix typo in treesit--check-manual-covarage

* lisp/treesit.el (treesit--check-manual-coverage): Fix typo in
function name and also lookup the correct library in
`find-library-name'
---
 lisp/treesit.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/treesit.el b/lisp/treesit.el
index 34b501cfba..c5d0bdd1b7 100644
--- a/lisp/treesit.el
+++ b/lisp/treesit.el
@@ -958,13 +958,13 @@ treesit-query-validate
 ;;; Etc
 
 (declare-function find-library-name "find-func.el")
-(defun treesit--check-manual-covarage ()
+(defun treesit--check-manual-coverage ()
   "Print tree-sitter functions missing from the manual in message buffer."
   (interactive)
   (require 'find-func)
   (let ((functions-in-source
          (with-temp-buffer
-           (insert-file-contents (find-library-name "tree-sitter"))
+           (insert-file-contents (find-library-name "treesit"))
            (cl-remove-if
             (lambda (name) (string-match "treesit--" name))
             (cl-sort
-- 
2.34.1